Name:           python-bz2
Version:        1.1
Release:        0.fdr.4.rh90
Epoch:          0
Summary:        Bzip2 support for Python

Group:          Development/Libraries
License:        LGPL/PSF
URL:            http://python-bz2.sourceforge.net/
Source0:        http://dl.sf.net/python-bz2/python-bz2-1.1.tar.bz2
Source1:        http://python-bz2.sourceforge.net/bz2.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, bzip2-devel
BuildConflicts: python-devel >= 0:2.3
Requires:       python >= 0:%(python -c 'import sys ; print sys.version[:3]')
Conflicts:      python >= 0:2.3

%description
The python bz2 module provides a comprehensive interface for the bz2
compression library. It implements a complete file interface, one shot
(de)compression functions, and types for sequential (de)compression.


%prep
%setup -q
cp -p %{SOURCE1} .


%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build
python test.py


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE* NEWS PKG-INFO README bz2.html
%{_libdir}/python*/site-packages/*


%changelog
* Wed Aug 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1-0.fdr.4
- Fix license (bug 635).

* Tue Aug 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1-0.fdr.3
- (Build)Conflicts python-devel >= 0:2.3 (already included there).

* Sat Jul 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1-0.fdr.2
- Use --root $RPM_BUILD_ROOT instead of --prefix $RPM_BUILD_ROOT%%{_prefix}.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1-0.fdr.1
- First build.
